A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
log
ArrayFire Functions | ArrayFire Functions by Category » Mathematical functions » Exponential and logarithmic functions

## Functions
array | log (const array &in)
| C++ Interface to evaluate the natural logarithm.
af_err | af_log (af_array *out, const af_array in)
| C Interface to evaluate the natural logarithm.

## Detailed Description

Evaluate the natural logarithm.

## Function Documentation

## ◆ af_log()

af_err af_log | ( | af_array * | out,
|  | const af_array | in )

C Interface to evaluate the natural logarithm.

Parameters

  [out] | out | natural logarithm
  [in] | in | input array

Returns
  AF_SUCCESS, if function returns successfully, else an af_err code is given

## ◆ log()

array log | ( | const array & | in | ) |

C++ Interface to evaluate the natural logarithm.

Parameters

  [in] | in | input array

Returns
  natural logarithm